Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Test and Performance Tools Platform (TPTP) » TPTP and 3.2 M6
TPTP and 3.2 M6 [message #64596] Thu, 06 April 2006 07:44 Go to next message
Eclipse UserFriend
Originally posted by: misja.alma.gmail.com

I just downloaded the latest stable 4.2 build of TPTP and tried to run it
with Eclipse 3.2 M6. But I have the feeling that some features are
missing: For instance when I right-click an executable Java class, the
pop-up menu shows an 'analysis' item but clicking that accomplishes
nothing; also there is no 'profile as' menu item.
The toolbar shows an 'analysis' button but no 'profile' button.

Is there something I should still configure or download, or doesn't the
latest 4.2 build go together with 3.2 M6?

Any help would be greatly appreciated!

(My buildnr. of TPTP is 4.2.0v200602281515, the JDK I'm using is Bea's
JRockit 5.0_04 R26, my OS is XP)
Re: TPTP and 3.2 M6 [message #64620 is a reply to message #64596] Thu, 06 April 2006 07:59 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: misja.alma.gmail.com

Found it already, I forgot to install the EMF framework :-)
Re: TPTP and 3.2 M6 [message #64787 is a reply to message #64596] Thu, 06 April 2006 14:54 Go to previous message
Randy D. Smith is currently offline Randy D. SmithFriend
Messages: 394
Registered: July 2009
Senior Member
Misja wrote:
> I just downloaded the latest stable 4.2 build of TPTP and tried to run
> it with Eclipse 3.2 M6. But I have the feeling that some features are
> missing: For instance when I right-click an executable Java class, the
> pop-up menu shows an 'analysis' item but clicking that accomplishes
> nothing; also there is no 'profile as' menu item.
> The toolbar shows an 'analysis' button but no 'profile' button.
>
> Is there something I should still configure or download, or doesn't the
> latest 4.2 build go together with 3.2 M6?
>
> Any help would be greatly appreciated!
>
> (My buildnr. of TPTP is 4.2.0v200602281515, the JDK I'm using is Bea's
> JRockit 5.0_04 R26, my OS is XP)
>

Actually, the 02/28 15:15 version you have is our stable TPTP 4.2M5
release, so technically it is intended to work with Eclipse 3.2M5a (with
that "a" being oh so critical).

I know you've subsequently posted about finding the EMF dependency, but
I just wanted to make sure you were aware of the intended environment.

By the way, with Eclipse M5a or M6, I find it easiest to use the
"Callisto update site" to make sure I have the latest stuff intended to
work together. If you start from the Eclipse M5a Platform (not even the
JDK) and get what you want (i.e., TPTP), it would have made sure all the
dependencies (EMF) were fulfilled for you.

Obviously I'm a big fan of the Update Manager and letting the computer
do the work of determining if you've got everything... I've been burned
myself by too many things I've missed when I've done it manually.

While I'm at it, I might as well mention that the TPTP intended to work
with M6 is still in testing prior to an intended release date of 04/16
for the "Callisto train".

--
RDS

Randy D. Smith randy (dot) d (dot) smith (at) intel (dot) com
Eclipse TPTP Committer, Platform Proj (data collection/agent controller)
Previous Topic:testing tools : java.lang.NumberFormatException: For input string: "p"
Next Topic:Env. problems - JRE 1.4.2 & Eclipse 3.1.2 & TPTP 4.1 & EMF-SDO-XSD 2.1.2
Goto Forum:
  


Current Time: Sat Nov 29 06:23:31 GMT 2014

Powered by FUDForum. Page generated in 0.02396 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software